Upsert staffing entity skill expectation
curl --request POST \
--url https://api.kombo.dev/v1/hris/staffing-entity-skills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data '
{
"staffing_entity_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"expected_level": 4
}
'import requests
url = "https://api.kombo.dev/v1/hris/staffing-entity-skills"
payload = {
"staffing_entity_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"expected_level": 4
}
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
staffing_entity_id: '26vafvWSRmbhNcxJYqjCzuJg',
skill_id: '28KMdr68N8kG9EzLwjsN9aoz',
expected_level: 4
})
};
fetch('https://api.kombo.dev/v1/hris/staffing-entity-skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "C8gqYqWk6N3qjvJ8vh5o3VtH",
"staffing_entity_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"expected_level": 4,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
}
}Skills
Upsert staffing entity skill expectation
Upsert staffing entity skill expectation
POST
/
hris
/
staffing-entity-skills
Upsert staffing entity skill expectation
Closed Beta Feature: This endpoint is currently in closed beta. We’re testing it with selected customers before its public release. If you’re interested in learning more or getting early access, please reach out.
Authorizations
Headers
ID of the integration you want to interact with.
Body
application/json
POST /hris/staffing-entity-skills Request body
Response
POST /hris/staffing-entity-skills Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"id": "C8gqYqWk6N3qjvJ8vh5o3VtH",
"staffing_entity_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"expected_level": 4,
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
}Was this page helpful?
⌘I